dpkg-www(1)

NAME
dpkg-www - program to remotely open a WWW Debian package browser

SYNOPSIS
dpkg-www [-s|--stdout] [-h|--host host] [query]

DESCRIPTION
dpkg-www is used to remotely control a web browser and open a dpkg URL on the localhost from an interactive shell or script.

If the command is invoked while running under the X Window System the script will try to find an installed X browser to open the specified URL. If not running under X, it will try to use a text browser instead.

If one of the known browsers is found and there is an instance already running it will be asked to open the dpkg URL on localhost with the optional query supplied on the command line. If there is no browser running, it will start automatically a new one.

The functionality provided by this program is identical to running a web browser with the -remote openURL(http://localhost/cgi-bin/dpkg) argument or opening the same URL from within the browser.

dpkg-www-installer(8) is a helper application which can configured in the WWW browser for web installation. It should never be invoked directly by the user.

OPTIONS

-s, --stdout
    Redirect output to stdout. Requires one of the text browsers (elinks, links2, links or w3m) installed.

-h, --host host
    Send the query to a remote host, where dpkg-www must be installed.

query
    Specifies an optional package name, an absolute pathname or a query argument which is passed to the dpkg cgi-bin. See dpkg-www(8) for more information about the use of the CGI.

FILES

/etc/dpkg-www.conf
~/.dpkg-www
    Configuration files for dpkg-www. It is not necessary for these files to exist, there are sensible defaults for everything, but you can specify your preferred www browser with the DPKG_WWW_BROWSER variable, for example DPKG_WWW_BROWSER=firefox.

EXAMPLES

dpkg-www
    This would open a dpkg URL on localhost listing all the installed packages.

dpkg-www bash
    This would open a dpkg URL asking info on the bash package.

dpkg-www -h pisolo bash
    This would open a dpkg URL asking info on the bash package on host pisolo.

dpkg-www 'dpkg*'
    This would open a dpkg URL listing all packages matching dpkg*.

dpkg-www /bin/bash
    This would open a dpkg URL asking info on the package(s) owning the file /bin/bash.

dpkg-www depends=coreutils
    This would open a dpkg URL listing all packages depending on coreutils.

dpkg-www --stdout depends=awk | grep ^ii
    This would list on stdout all packages depending on awk and grep all lines of installed packages.

SEE ALSO
dpkg(1), dpkg-www(8).